BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/edits

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Header Parameters

Idempotency-Key?string

Optional retry key for trim and split actions, including batch trim. Other actions do not consume this header.

Match^[A-Za-z0-9._:-]+$
Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/edits" \  -H "Content-Type: application/json" \  -d '{    "action": "trim"  }'
{  "action": "trim",  "result": {    "success": true,    "trimmed_count": 0,    "failed_count": 0,    "items": [      {        "timeline_item_id": "string",        "success": true,        "trim_start_seconds": 0,        "trim_end_seconds": 0,        "new_duration_seconds": 0,        "error": "string"      }    ],    "failed_items": [      {        "timeline_item_id": "string",        "error": "string",        "error_code": "validation_error",        "retryable": true,        "error_details": {          "property1": "string",          "property2": "string"        }      }    ],    "message": "string"  }}